Package com.creditcall.chipdnamobile

# Class ReceiptField

java.lang.Object
com.creditcall.chipdnamobile.ReceiptField

All Implemented Interfaces:
  `android.os.Parcelable`

public class ReceiptField extends Object implements android.os.Parcelable
This call represents a single field that can appear on a receipt.

Author:
  Creditcall Ltd

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface android.os.Parcelable

  `android.os.Parcelable.ClassLoaderCreator<T extends Object>, android.os.Parcelable.Creator<T extends Object>`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final android.os.Parcelable.Creator<ReceiptField>`
  `CREATOR`

  ### Fields inherited from interface android.os.Parcelable

  `CONTENTS_FILE_DESCRIPTOR, PARCELABLE_WRITE_RETURN_VALUE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `describeContents()`
  `ReceiptFieldInclusion`
  `getInclusion()`
  Gets the `ReceiptFieldInclusion` of the receipt field.
  `String`
  `getLabel()`
  Gets the recommended label for the receipt field.
  `int`
  `getPriority()`
  Gets the recommended priority for the receipt field.
  `String`
  `getValue()`
  Gets the value of the receipt field
  `void`
  `writeToParcel(android.os.Parcel dest, int flags)`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### CREATOR

    public static final android.os.Parcelable.Creator<ReceiptField> CREATOR

- ## Method Details

  - ### getValue

    public String getValue()
    Gets the value of the receipt field
    Returns:
      string representation of the receipt field value.

  - ### getLabel

    public String getLabel()
    Gets the recommended label for the receipt field. This value may be null
    Returns:
      string representation of the receipt field label.

  - ### getPriority

    public int getPriority()
    Gets the recommended priority for the receipt field.
    Returns:
      priority for the receipt field.

  - ### getInclusion

    public ReceiptFieldInclusion getInclusion()
    Gets the `ReceiptFieldInclusion` of the receipt field.
    Returns:
      `ReceiptFieldInclusion` of the receiver.

  - ### writeToParcel

    public void writeToParcel(android.os.Parcel dest, int flags)
    Specified by:
      `writeToParcel` in interface `android.os.Parcelable`

  - ### describeContents

    public int describeContents()
    Specified by:
      `describeContents` in interface `android.os.Parcelable`